> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jurichat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar integrações

> Lista as integrações de uma inbox. Filtro opcional por canal.



## OpenAPI

````yaml https://api.jurichat.com/docs/client/openapi.json get /integration/
openapi: 3.1.0
info:
  title: JuriChat API — Documentação para Integradores
  description: ''
  version: 1.0.0
servers:
  - url: https://api.jurichat.com
    description: Production server
security:
  - apiKeyAuth: []
tags: []
paths:
  /integration/:
    get:
      tags:
        - Integration
      summary: Listar integrações
      description: Lista as integrações de uma inbox. Filtro opcional por canal.
      parameters:
        - schema:
            type: string
            pattern: ^[cC][^\s-]{8,}$
          in: query
          name: inboxId
          required: true
        - schema:
            type: string
            enum:
              - WHATSAPP
              - WEB_CHAT
              - TELEGRAM
              - INSTAGRAM
              - LITE_WHATSAPP
              - JURIDIQ
          in: query
          name: channel
          required: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        channel:
                          type: string
                          enum:
                            - WHATSAPP
                            - WEB_CHAT
                            - TELEGRAM
                            - INSTAGRAM
                            - LITE_WHATSAPP
                            - JURIDIQ
                        config:
                          type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - disconnected
                                - connected
                                - connecting
                            token:
                              type: string
                          required:
                            - status
                          additionalProperties: false
                        flowId:
                          type: string
                          nullable: true
                        funnelId:
                          type: string
                          nullable: true
                        agentId:
                          type: string
                          nullable: true
                        inboxId:
                          type: string
                        officeId:
                          type: string
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                      required:
                        - id
                        - name
                        - channel
                        - config
                        - flowId
                        - funnelId
                        - agentId
                        - inboxId
                        - officeId
                        - createdAt
                        - updatedAt
                      additionalProperties: false
                required:
                  - data
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  details: {}
                required:
                  - message
                  - statusCode
                additionalProperties: false
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-jurichat-api-key
      description: >-
        Chave de API do escritório (criada no painel). Envie o valor no header
        x-jurichat-api-key.

````